/*css commit my    */



/* cls_tbl_st_cust_role */

table.cls_tbl_st_cust_role {
  width: 100%;
  border: 2px solid var(--color_tbl_brdr);
  border-collapse: separate; /*separate collapse*/
  border-radius: 10px;
  border-spacing: 0;/*??????????*/
  overflow: hidden;
  cursor: default;
}


table.cls_tbl_st_cust_role th,
table.cls_tbl_st_cust_role td {
  position: relative;
  text-align: center;
}

table.cls_tbl_st_cust_role td:not(.cls_col_extra)::before {
  content: '';
  display: block;
  height: calc(100% - 10px);
  border-right: 1px solid var(--color_tbody_td_bordr_dot);
  position: absolute;
  right: 0;
  top: 10px;
}
table.cls_tbl_st_cust_role td.cls_col_extra::before {
  content: '';
  display: block;
  height: 100%;
  border-right: 2px solid var(--color_thead_tr_bckgrnd_1);
  position: absolute;
  right: 0;
}

table.cls_tbl_st_cust_role th:last-child::before,
table.cls_tbl_st_cust_role td:last-child::before {
  display: none;
}

/*thead {
  background-color: #f2f2f2;
}*/

table.cls_tbl_st_cust_role thead tr:nth-child(1) {
   /* сірий фон для першого рядка thead */
  border-bottom: 2px solid transparent;
}

table.cls_tbl_st_cust_role thead tr:nth-child(1) th {
  background-color: var(--color_thead_tr_bckgrnd_1);
  padding: 10px;
}

table.cls_tbl_st_cust_role thead tr:nth-child(2) {
  background-color: var(--color_thead_tr_bckgrnd_2); /* світлосірий фон для другого рядка thead */
}

table.cls_tbl_st_cust_role thead tr:nth-child(3) {
  background-color: var(--color_thead_tr_bckgrnd_2);
}

table.cls_tbl_st_cust_role thead tr:nth-child(2) th {
  border: 1px solid var(--color_tbody_th_bordr_2); /* білий бордер між комірками в другому рядку thead */
  padding: 20px;
  color:var(--color_txt_tr_2);
  opacity: 80%;
  font-weight: 100;
}

table.cls_tbl_st_cust_role tbody td{
  padding: 10px;
}










/*div scroll*/

.cls_table-wrapper {
  height: 75vh;
  overflow-y: auto; /* Вертикальний скрол */
  overflow-x: auto; /* Горизонтальний скрол */
  scrollbar-width: thin; /* Повертаємо тонкий скрол для Firefox */
  -ms-overflow-style: auto; /* Повертаємо скрол для IE */
}

.cls_table-wrapper.cls_addon_vh_85 {
  height: 75.5vh;
}

/*scrollbar*/

/* Приховати скролбар для всіх браузерів */
.cls_table-wrapper::-webkit-scrollbar {
  /* width: 0; Приховати вертикальний скролбар */
  
}

.cls_table-wrapper::-webkit-scrollbar-thumb {
  /*background: transparent;  Забезпечити, що повзунок також прозорий */
 
}

.cls_table-wrapper::-webkit-scrollbar-track {
  /*background: transparent;  Забезпечити, що доріжка також прозора */


}

/* Для Firefox */
.cls_table-wrapper {
  /*scrollbar-width: none;  Приховати скролбар для Firefox */
}

/* Для Internet Explorer 10+ */
.cls_table-wrapper {
  /*-ms-overflow-style: none;  Приховати скролбар для IE 10+ */
}






/* cls_tbl_st_cust_role_v2_1 */

/*стилі*/
table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(1) th {
  padding-top: 20px;
  padding-bottom: 20px;
}

table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(3) th {
  font-weight: normal;
}
table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(4) th {
  font-weight: normal;
}


/* Фіксація рядків таблиці */
table.cls_tbl_st_cust_role_v2_1 tr.sticky {
  position: sticky; /* Фіксує рядки таблиці при прокручуванні */
  top: 0; /* Встановлює верхню позицію для фіксації */
  z-index: 1; /* Визначає порядок розташування елементів на сторінці */
}

/* Фіксація стовпців таблиці */
/*table.cls_tbl_st_cust_role_v2_1 th.sticky,
table.cls_tbl_st_cust_role_v2_1 td.sticky {
  position: sticky; Фіксує стовпці таблиці при прокручуванні 
  left: 0;
}*/

/* Стилі для псевдоелементів, які додають відступи справа для фіксованих стовпців */
table.cls_tbl_st_cust_role_v2_1 th.sticky::after,
table.cls_tbl_st_cust_role_v2_1 td.sticky::after {
  content: ""; /* Порожній контент для псевдоелементів */
  position: absolute; /* Абсолютне позиціонування для відступів */
  right: -6px; /* Відступ справа */
  top: 0; /* Верхній відступ */
  bottom: -1px; /* Нижній відступ */
  width: 5px; /* Ширина псевдоелемента */
}

/* Стилі для псевдоелементів, які додають відступи зліва для фіксованих стовпців */
table.cls_tbl_st_cust_role_v2_1 th.sticky::before,
table.cls_tbl_st_cust_role_v2_1 td.sticky::before {
  content: ""; /* Порожній контент для псевдоелементів */
  position: absolute; /* Абсолютне позиціонування для відступів */
  left: -6px; /* Відступ зліва */
  top: 0; /* Верхній відступ */
  bottom: -1px; /* Нижній відступ */
  width: 5px; /* Ширина псевдоелемента */
}

/* Фіксація заголовків таблиці */
table.cls_tbl_st_cust_role_v2_1:not(.cls_tbl_nbal)  thead tr.sticky {
  position: sticky; /* Фіксує заголовки таблиці при прокручуванні */
  z-index: 1; /* Визначає порядок розташування заголовків на сторінці */
}



/*position when sticky*/

/* Перший рядок */
table.cls_tbl_st_cust_role_v2_1:not(.cls_tbl_nbal)  thead tr.sticky:nth-child(1){
  top: 0px;
  z-index: 4;
  height: 40px;
}

/* Другий рядок */
table.cls_tbl_st_cust_role_v2_1:not(.cls_tbl_nbal) thead tr.sticky:nth-child(2) {
  top: 80px; /* на Висоту першого рядка */
  z-index: 3;
  height: 2px; /* Висота 2px */
}

/* Третій рядок */
table.cls_tbl_st_cust_role_v2_1:not(.cls_tbl_nbal) thead tr.sticky:nth-child(3) {
  top: 100px; /* Висота двох попередніх рядків */
  z-index: 2;
  height: 40px;
}

/* Четвертий рядок */
table.cls_tbl_st_cust_role_v2_1:not(.cls_tbl_nbal) thead tr.sticky:nth-child(4) {
  top: 140px; /* Висота трьох попередніх рядків */
  z-index: 1;
  height: 40px;
}









/* інші стилі */

table.cls_tbl_st_cust_role_v2_1 {
  width: 100%;
  border: none;
    border-collapse: separate; 
   border-spacing: 1px;
}

table.cls_tbl_st_cust_role_v2_1 tbody td {
  padding: 5px;
}

table.cls_tbl_st_cust_role_v2_1 thead .my_tr1_th_zero {
  min-width:10px;
  max-width:10px;
}

table.cls_tbl_st_cust_role_v2_1 .my_tr1_thtr_zero {
  height:2px;
}


/*кольори tr thead*/

table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(1) {
  background-color: var(--table_neb_color_thead1);
}

table.cls_tbl_st_cust_role_v2_1 .my_tr1_th_zero,
table.cls_tbl_st_cust_role_v2_1 .my_tr1_thtr_zero {
  background-color: white;
}

table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(3) {
  background-color: var(--table_neb_color_thead2);
}

table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(4) {
  background-color: var(--table_neb_color_thead2);
}




/*радіуси окремих комірок згідно класів*/

table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(1) th.my_tr1_th_rnd {
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}

table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(3) th.my_rnd_t_l {
  border-top-left-radius: 8px;
}

table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(3) th.my_rnd_t_r {
  border-top-right-radius: 8px;
}

table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(4) th.my_rnd_b_l {
  border-bottom-left-radius: 8px;
}

table.cls_tbl_st_cust_role_v2_1 thead tr:nth-child(4) th.my_rnd_b_r {
  border-bottom-right-radius: 8px;
}

table.cls_tbl_st_cust_role_v2_1 tbody tr:last-child td.my_rnd_b_l {
  border-bottom-left-radius: 8px;
  border-left: 1px solid var(--table-border-color); 
}

table.cls_tbl_st_cust_role_v2_1 tbody tr:last-child td.my_rnd_b_r {
  border-bottom-right-radius: 8px;
}




/*бордери solid*/

table.cls_tbl_st_cust_role_v2_1 tbody tr:not(:last-child) td {
  border-top: 0px solid ;
  border-left: 0px solid;
  border-right: 0px solid;
  border-bottom: 0px solid;
}

table.cls_tbl_st_cust_role_v2_1 tbody tr:last-child td {
  border-top: 0px solid;
  border-left: 0px solid;
  border-right: 0px solid;
}

table.cls_tbl_st_cust_role_v2_1 tbody tr:not(:last-child) td:first-child,
table.cls_tbl_st_cust_role_v2_1 tbody tr:last-child td:first-child {
  border-left: 1px solid var(--table_neb_color_border);
}

table.cls_tbl_st_cust_role_v2_1 tbody tr:not(:last-child) td:last-child,
table.cls_tbl_st_cust_role_v2_1 tbody tr:last-child td:last-child {
  border-right: 1px solid var(--table_neb_color_border);
}



table.cls_tbl_st_cust_role_v2_1 thead tr:not(:last-child) th {
  border-top: 0px solid ;
  border-left: 0px solid;
  border-right: 0px solid;
  border-bottom: 0px solid;
}

table.cls_tbl_st_cust_role_v2_1 thead tr:last-child th {
  border-top: 0px solid;
  border-left: 0px solid;
  border-right: 0px solid;
}

table.cls_tbl_st_cust_role_v2_1 thead tr:not(:last-child) th:first-child,
table.cls_tbl_st_cust_role_v2_1 thead tr:last-child th:first-child {
  border-left: 1px solid var(--table_neb_color_border);
}

table.cls_tbl_st_cust_role_v2_1 thead tr:not(:last-child) th:last-child,
table.cls_tbl_st_cust_role_v2_1 thead tr:last-child th:last-child {
  border-right: 1px solid var(--table_neb_color_border);
}

table.cls_tbl_st_cust_role_v2_1 thead .my_tr1_th_zero {
  border-top: 0px solid ;
  border-bottom: 0px solid;
}



table.cls_tbl_st_cust_role_v2_1 th,
table.cls_tbl_st_cust_role_v2_1 td {
  position: relative;
  text-align: center;
} 

table.cls_tbl_st_cust_role_v2_1.cls_tbl_st_cust_role_v3_1 td:not(.cls_col_extra)::before {
  content: '';
  display: block;
  height: calc(100% - 10px);
  border-right: 2px solid var(--table_neb_color_border);
  position: absolute;
  right: 0;
  top: 5px;
}
table.cls_tbl_st_cust_role_v2_1.cls_tbl_st_cust_role_v3_1 td.cls_col_extra::before {
  content: '';
  display: block;
  height: 100%;
  border-right: 2px solid var(--table_neb_color_border);
  position: absolute;
  right: 0;
}



table.cls_tbl_st_cust_role_v2_1 .t_td_hidden {
  opacity: 0 !important;;
  pointer-events: none !important;;
  transition: opacity 1s ease;
}

/* Для видимих елементів: робимо їх видимими */
table.cls_tbl_st_cust_role_v2_1 .t_td_visible {
  opacity: 1 !important;;
  pointer-events: auto !important;; /* Дозволити взаємодіяти з елементами */
  transition: opacity 1s ease;
}

table.cls_tbl_st_cust_role_v2_1 span.toggle-positive,
table.cls_tbl_st_cust_role_v2_1 span.toggle-negative,
table.cls_tbl_st_cust_role_v2_1 span.toggle-positive-second,
table.cls_tbl_st_cust_role_v2_1 span.toggle-negative-second {
  cursor: pointer;
  position: relative;
  display: inline-block;
}

table.cls_tbl_st_cust_role_v2_1 span.toggle-positive::before,
table.cls_tbl_st_cust_role_v2_1 span.toggle-negative::before,
table.cls_tbl_st_cust_role_v2_1 span.toggle-positive-second::before,
table.cls_tbl_st_cust_role_v2_1 span.toggle-negative-second::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0;
  height: 1px;
  background-color: var(--color-clndr-btn-bg2);
  transition: all 0.3s ease-in-out;
  transform: translateX(-50%);
}

table.cls_tbl_st_cust_role_v2_1 span.toggle-positive:hover::before,
table.cls_tbl_st_cust_role_v2_1 span.toggle-negative:hover::before,
table.cls_tbl_st_cust_role_v2_1 span.toggle-positive-second:hover::before,
table.cls_tbl_st_cust_role_v2_1 span.toggle-negative-second:hover::before {
  width: 100%;
}





















/* cls_tbl_st_cust_role_v2_2 */
table.cls_tbl_st_cust_role_v2_2.cls_addon th {
  font-weight: normal;
}
/*стилі*/
table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(1) th {
  padding-top: 5px;
  padding-bottom: 5px;
}

table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(2) th {
  height: 2px;
}

table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(3) th.cls_th_data {
  padding: 5px 20px;
  width:200px;
  min-width:200px;
  font-weight: normal;
  line-height: 110%;
  letter-spacing: -0.154px; 
}
table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(4) th {
  font-weight: normal;
}


/* Фіксація рядків таблиці */
table.cls_tbl_st_cust_role_v2_2 tr.sticky {
  position: sticky; /* Фіксує рядки таблиці при прокручуванні */
  top: 0; /* Встановлює верхню позицію для фіксації */
  z-index: 1; /* Визначає порядок розташування елементів на сторінці */
}

/* Стилі для псевдоелементів, які додають відступи справа для фіксованих стовпців */
table.cls_tbl_st_cust_role_v2_2 th.sticky::after,
table.cls_tbl_st_cust_role_v2_2 td.sticky::after {
  content: ""; /* Порожній контент для псевдоелементів */
  position: absolute; /* Абсолютне позиціонування для відступів */
  right: -6px; /* Відступ справа */
  top: 0; /* Верхній відступ */
  bottom: -1px; /* Нижній відступ */
  width: 5px; /* Ширина псевдоелемента */
}

/* Стилі для псевдоелементів, які додають відступи зліва для фіксованих стовпців */
table.cls_tbl_st_cust_role_v2_2 th.sticky::before,
table.cls_tbl_st_cust_role_v2_2 td.sticky::before {
  content: ""; /* Порожній контент для псевдоелементів */
  position: absolute; /* Абсолютне позиціонування для відступів */
  left: -6px; /* Відступ зліва */
  top: 0; /* Верхній відступ */
  bottom: -1px; /* Нижній відступ */
  width: 5px; /* Ширина псевдоелемента */
}

/* Фіксація заголовків таблиці */
table.cls_tbl_st_cust_role_v2_2 thead tr.sticky {
  position: sticky; /* Фіксує заголовки таблиці при прокручуванні */
  z-index: 1; /* Визначає порядок розташування заголовків на сторінці */
}



/*position when sticky*/

/* Перший рядок */
table.cls_tbl_st_cust_role_v2_2 thead tr.sticky:nth-child(1) {
  top: 0px;
  z-index: 3;
  height: 20px;
}

/* Другий рядок */
table.cls_tbl_st_cust_role_v2_2 thead tr.sticky:nth-child(2) {
  top: 20px; /* на Висоту першого рядка */
  z-index: 2;
  height: 2px; /* Висота 2px */
}
table.cls_tbl_st_cust_role_v2_2.price thead tr.sticky:nth-child(2) {
  top: 73px; /* на Висоту першого рядка */
  z-index: 2;
}

/* Третій рядок */
table.cls_tbl_st_cust_role_v2_2 thead tr.sticky:nth-child(3) {
  top: 43px; /* Висота двох попередніх рядків */
  z-index: 1;
  height: 60px;
}

table.cls_tbl_st_cust_role_v2_2.t_h_proba thead tr.sticky:nth-child(2) {
  top: 25px; /* на Висоту першого рядка */
  z-index: 2;
}
table.cls_tbl_st_cust_role_v2_2.t_h_proba thead tr.sticky:nth-child(3) {
  top: 30px; /* Висота двох попередніх рядків */
  z-index: 1;
  height: 60px;
}






table.cls_tbl_st_cust_role_v2_2 {
  width: 100%;
  border: none;
    border-collapse: separate; 
   border-spacing: 1px;
}

table.cls_tbl_st_cust_role_v2_2 tbody tr:hover {
  background-color: var(--table_neb_color_thead1);
}

table.cls_tbl_st_cust_role_v2_2 tbody tr:hover .cls_td_zero{
  background-color: white;
}

table.cls_tbl_st_cust_role_v2_2 tbody td {
  padding-right: 5px;
  padding-left: 5px;
}

table.cls_tbl_st_cust_role_v2_2 thead .sticky.my_tr1_th_rnd.cls_w_20 {
  min-width:20px;
  width:20px;
}
table.cls_tbl_st_cust_role_v2_2 .cls_w_135 {
  min-width:135px;
  width:135px;
}

table.cls_tbl_st_cust_role_v2_2 .cls_w_40 {
  min-width:200px;
  width:200px;
}

table.cls_tbl_st_cust_role_v2_2 thead .my_tr1_th_zero {
  min-width:2px;
  max-width:2px;
  width:2px;
}

table.cls_tbl_st_cust_role_v2_2 .my_tr1_thtr_zero {
  height:2px;
}


table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(1) {
  background-color: var(--table_neb_color_thead1);
}



table.cls_tbl_st_cust_role_v2_2 .my_tr1_th_zero,
table.cls_tbl_st_cust_role_v2_2 .my_tr1_thtr_zero {
  background-color: white;
}

table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(3) {
  background-color: var(--table_neb_color_thead2);
}

table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(4) {
  background-color: var(--table_neb_color_thead2);
}




/*радіуси окремих комірок згідно класів*/

table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(1) th.my_tr1_th_rnd {
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}

table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(3) th.my_rnd_t_l {
  border-top-left-radius: 8px;
}

table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(3) th.my_rnd_t_r {
  border-top-right-radius: 8px;
}

table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(4) th.my_rnd_b_l {
  border-bottom-left-radius: 8px;
}

table.cls_tbl_st_cust_role_v2_2 thead tr:nth-child(4) th.my_rnd_b_r {
  border-bottom-right-radius: 8px;
}

table.cls_tbl_st_cust_role_v2_2 tbody tr:last-child td.my_rnd_b_l {
  border-bottom-left-radius: 8px;
  border-left: 1px solid var(--table-border-color); 
}

table.cls_tbl_st_cust_role_v2_2 tbody tr:last-child td.my_rnd_b_r {
  border-bottom-right-radius: 8px;
}




/*бордери solid*/

table.cls_tbl_st_cust_role_v2_2 tbody tr:not(:last-child) td {
  border-top: 0px solid ;
  border-left: 0px solid;
  border-right: 0px solid;
  border-bottom: 0px solid;
}

table.cls_tbl_st_cust_role_v2_2 tbody tr:last-child td {
  border-top: 0px solid;
  border-left: 0px solid;
  border-right: 0px solid;
  border-bottom: 0px solid;
}

table.cls_tbl_st_cust_role_v2_2 tbody tr:not(:last-child) td:first-child,
table.cls_tbl_st_cust_role_v2_2 tbody tr:last-child td:first-child {
  border-left: 1px solid var(--table_neb_color_border);
}
 
table.cls_tbl_st_cust_role_v2_2 tbody tr:not(:last-child) td:last-child,
table.cls_tbl_st_cust_role_v2_2 tbody tr:last-child td:last-child {
  border-right: 1px solid var(--table_neb_color_border);
}



table.cls_tbl_st_cust_role_v2_2 thead tr:not(:last-child) th {
  border-top: 0px solid ;
  border-left: 0px solid;
  border-right: 0px solid;
  border-bottom: 0px solid;
}

table.cls_tbl_st_cust_role_v2_2 thead tr:last-child th {
  border-top: 0px solid;
  border-left: 0px solid;
  border-right: 0px solid;
  border-bottom: 0px solid
}

table.cls_tbl_st_cust_role_v2_2 thead tr:not(:last-child) th:first-child,
table.cls_tbl_st_cust_role_v2_2 thead tr:last-child th:first-child {
  border-left: 1px solid var(--table_neb_color_border);
}

table.cls_tbl_st_cust_role_v2_2 thead tr:not(:last-child) th:last-child,
table.cls_tbl_st_cust_role_v2_2 thead tr:last-child th:last-child {
  border-right: 1px solid var(--table_neb_color_border);
}

table.cls_tbl_st_cust_role_v2_2 thead .my_tr1_th_zero {
  border-top: 0px solid ;
  border-bottom: 0px solid;
}



table.cls_tbl_st_cust_role_v2_2 th,
table.cls_tbl_st_cust_role_v2_2 td {
  position: relative;
  text-align: center;
} 

table.cls_tbl_st_cust_role_v2_2 td:not(.cls_col_extra)::before {
  content: '';
  display: block;
  height: calc(100% - 10px);
  border-right: 2px solid var(--table_neb_color_border);
  position: absolute;
  right: 0;
  top: 5px;
}
table.cls_tbl_st_cust_role_v2_2 td.cls_col_extra::before {
  content: '';
  display: block;
  height: 100%;
  border-right: 2px solid var(--table_neb_color_border);
  position: absolute;
  right: 0;
}

table.cls_tbl_st_cust_role_v2_2 td.cls_txt_h_algn_l{
  text-align: left;
}










table.cls_addon thead.cls_addon_th th:not(.my_tr1_th_zero) {
  padding: 3px 5px;
}

table.cls_addon thead.cls_addon_th tr:nth-child(1) {
  background-color: var(--table_neb_color_thead1);
  font-weight: 600;
}

tr.cls_addond_bg1{
  background-color: var(--table_neb_color_thead1);
}

table.cls_addon thead.cls_addon_th tr.cls_row_2 {
  font-size: 13px;
  font-style: normal;
  font-weight: 500;
  line-height: 150%; /* 19.5px */
  letter-spacing: -0.143px;
}

table.cls_addon thead.cls_addon_th tr:nth-child(3) {
  background-color: var(--table_neb_color_thead2);
}
















/* cls_tbl_st_cust_role_4 */

/*загальні*/
table.cls_tbl_st_cust_role_4 {
  width: 100%;
  color: var(--site-txt-color2);

  border: none;
    border-collapse: separate; 
   border-spacing: 1px;
}

table.cls_tbl_st_cust_role_4 thead tr {
  background-color: white;
}

table.cls_tbl_st_cust_role_4 thead th {
  padding-top: 10px;
  padding-bottom: 10px;
}

table.cls_tbl_st_cust_role_4 tbody tr:hover {
  background-color: var(--table_neb_color_thead1);
}

table.cls_tbl_st_cust_role_4 tr th {
  text-align: center;
  vertical-align: middle;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

table.cls_tbl_st_cust_role_4 tbody td.cls_tbl4_col_dt {
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  padding-left: 10px;
}

table.cls_tbl_st_cust_role_4 tbody td:not(.cls_tbl4_col_dt) {
  padding: 5px 8px;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;

  position: relative;
}

/*розміщення елементів в комірці*/
table.cls_tbl_st_cust_role_4 .td_l_posq {
  float: left;
  margin-left: 3px;
}
table.cls_tbl_st_cust_role_4 .td_r_posq {
  float: right;
  padding-left: 0px;
  margin-right: 3px;
}

table.cls_tbl_st_cust_role_4 td.center-content {
  text-align: center; /* Вирівнювання по центру */
}
table.cls_tbl_st_cust_role_4 td.center-content .td_l_posq {
  float: none; /* Скидаємо float */
  margin: 0; /* Скидаємо відступи */
}
table.cls_tbl_st_cust_role_4 td.center-content .td_r_posq {
  display: none; /* Ховаємо правий спан */
}

/*color для значень*/
table.cls_tbl_st_cust_role_4 .cls_fix {
  color: var(--color-txt-cls-cls-fix);
}
table.cls_tbl_st_cust_role_4 .cls_prcnt {
  color: var(--color-txt-cls-cls-prcnt);
}
table.cls_tbl_st_cust_role_4 .cls_uah {
  color: var(--color-txt-cls-cls-uah);
}
table.cls_tbl_st_cust_role_4 .cls_oth {
  color: var(--color-txt-cls-cls-oth);
}


/*odd*/
table.cls_tbl_st_cust_role_4 tr:nth-child(odd) td{
  background-color: var(--bgcolor-t4-td-odd);
}


/*border*/
.cls_tbl_st_cust_role_4 tr:nth-child(odd) td{
  background-color: var(--bgcolor-t4-td-odd);
  border: 0px solid var(--bgcolor-t4-td-odd);
}
table.cls_tbl_st_cust_role_4 td:not(.cls_tbl4_col_dt):not(:last-child)::before {
  content: '';
  display: block;
  height: calc(100% - 15px);
  border-right: 2px solid var(--brdrcolor-t4-td);
  position: absolute;
  right: -2px;
  top: 8px;
  z-index: 99;
}
table.cls_tbl_st_cust_role_4 td.cls_tbl4_col_dt + td::before {
  content: '';
  display: block;
  height: calc(100% - 15px);
  border-left: 2px solid var(--brdrcolor-t4-td);
  position: absolute;
  left: -1px;
  top: 8px;
}


/* Фіксація рядків таблиці */
table.cls_tbl_st_cust_role_4 tr.sticky {
  position: sticky; /* Фіксує рядки таблиці при прокручуванні */
  top: 0; /* Встановлює верхню позицію для фіксації */
  z-index: 1; /* Визначає порядок розташування елементів на сторінці */
}




table.cls_tbl_st_cust_role_4 th.cls_tbl4_col_dt .cls_title:hover {
  cursor: pointer;
}

table.cls_tbl_st_cust_role_4 th.cls_tbl4_col_dt {
  position: relative;
}

table.cls_tbl_st_cust_role_4 th.cls_tbl4_col_dt::before {
  content: '';
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0;
  height: 1px;
  background-color: var(--color-clndr-btn-bg2);
  transition: all 0.3s ease-in-out;
  transform: translateX(-50%);
}

table.cls_tbl_st_cust_role_4 th.cls_tbl4_col_dt:hover::before {
  width: 100%;
}

/* Клас для активного стану + js (якщо активне поле пошуку) */
table.cls_tbl_st_cust_role_4 th.cls_tbl4_col_dt.active-border::before {
  width: 100%;
  background-color: var(--color-clndr-btn-bg2);
}




















/*просто проба для табли небаланс*/




.cls_tbl_st_cust_role_v3_1 {
  border-collapse: collapse; /* Видаляє проміжки між клітинками */
  width: 100%; /* Заповнює всю ширину контейнера */
}

.cls_tbl_st_cust_role_v3_1 thead {
  position: sticky; /* Закріплення заголовка */
  top: 0; /* Розташування заголовка зверху */
  z-index: 2; /* Для уникнення перекриття */
  background-color: #fff; /* Фон для заголовків */
}

.cls_tbl_st_cust_role_v3_1 th,
.cls_tbl_st_cust_role_v3_1 td {
  border: 1px solid #ccc; /* Межі клітинок */
  padding: 0px;
  text-align: center; /* Текст по центру */
}



/* Зменшуємо висоту рядка cls_tr_num_2 */
.cls_tbl_st_cust_role_v3_1 .cls_tr_num_2 {
  height: 5px !important; /* Примусова висота */
  line-height: 5px; /* Вирівнювання тексту всередині */
  font-size: 0; /* Якщо тексту немає, шрифт можна обнулити */
}

table.cls_tbl_st_cust_role_v2_1.cls_tbl_st_cust_role_v3_1 thead tr.sticky.cls_tr_num_3 {
  top:25px;
}

table.cls_tbl_st_cust_role_v2_1.cls_tbl_st_cust_role_v3_1 {
  border-spacing: 0px;
}

table.cls_tbl_st_cust_role_v2_1.cls_tbl_st_cust_role_v3_1 thead th {
  border-bottom: 0;
}

table.cls_tbl_st_cust_role_v2_1.cls_tbl_st_cust_role_v3_1 thead tr:not(:last-child) th {
  border-right: 2px solid #fff;
}

table.cls_tbl_st_cust_role_v2_1.cls_tbl_st_cust_role_v3_1 thead th.cls_total_negative,
table.cls_tbl_st_cust_role_v2_1.cls_tbl_st_cust_role_v3_1 thead th.cls_total_negative_second,
table.cls_tbl_st_cust_role_v2_1.cls_tbl_st_cust_role_v3_1 thead th.cls_uncompensated_negative,
table.cls_tbl_st_cust_role_v2_1.cls_tbl_st_cust_role_v3_1 thead th.cls_uncompensated_negative_second {
  border-right: 2px solid #fff;
}
















